Method: projects.locations.repositories.hooks.list

Lists hooks in a given repository.

HTTP request


GET https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{parent=projects/*/locations/*/repositories/*}/hooks

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListHooksRequest.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. If unspecified, a default size of 30 will be used. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A token identifying a page of results the server should return.

Request body

The request body must be empty.

Response body

ListHooksResponse is response to list hooks.

If successful, the response body contains data with the following structure:

JSON representation
{
  "hooks": [
    {
      object (Hook)
    }
  ],
  "nextPageToken": string
}
Fields
hooks[]

object (Hook)

The list of hooks.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • securesourcemanager.hooks.list

For more information, see the IAM documentation.